-----------------------------------------------------------------------------
--  IBM*                                                                  
--  Licensed Materials - Property of IBM                                  
--  5765-F38                                                              
--  (C) Copyright IBM Corporation 2001,2002                               
--  All rights reserved.                                                  
--                                                                        
-- * Trademark of International Business Machines                         
-----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- drop DB2 Net Search Extender UDFs
--
-- these statements have been generated
-- don't modify this file
-- ----------------------------------------------------------------------------

----------------------------------------------------------------------------
-- drop functions for external table function returning searchTermCounts
----------------------------------------------------------------------------

drop function db2ext.textSearch_STC
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                INTEGER
        );


-----------------------------------------------------------------------------
-- drop highlight UDF's
-----------------------------------------------------------------------------

-- drop function db2ext.highlight()
drop specific function DB2EXT.CTE4D4;
drop specific function DB2EXT.CTE4D3;
drop specific function DB2EXT.CTE4D2;
drop specific function DB2EXT.CTE4D1;

-----------------------------------------------------------------------------
-- drop internally used UDFs (in views etc.)
-----------------------------------------------------------------------------

-- drop function db2ext.reorg_suggested()
drop specific function DB2EXT.CTE3A;

-- drop function db2ext.number_docs()
drop specific function DB2EXT.CTE3B;

-- drop function db2ext.conflictIndexes()
drop function db2ext.conflictIndexes;

drop function db2ext.equal;
drop function db2ext.attributeExpr;
drop function db2ext.resultExpr;
drop function db2ext.orderExpr;
drop function db2ext.viewKeyColumns;
drop function db2ext.pctfree;
drop function db2ext.maximum_cache_size;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                SMALLINT,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                SMALLINT
        );

-- drop function db2ext.unpack_text_key(.,SMALLINT)
drop specific function DB2EXT.CTEU1;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                INTEGER,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                INTEGER
        );

-- drop function db2ext.unpack_text_key(.,INTEGER)
drop specific function DB2EXT.CTEU2;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                BIGINT,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                BIGINT
        );

-- drop function db2ext.unpack_text_key(.,BIGINT)
drop specific function DB2EXT.CTEU3;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                REAL,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                REAL
        );

-- drop function db2ext.unpack_text_key(.,REAL)
drop specific function DB2EXT.CTEU4;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                DOUBLE,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                DOUBLE
        );

-- drop function db2ext.unpack_text_key(.,DOUBLE)
drop specific function DB2EXT.CTEU5;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                VARCHAR(255) FOR BIT DATA,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                VARCHAR(255) FOR BIT DATA
        );

-- drop function db2ext.unpack_text_key(.,VARCHAR(255) FOR BIT DATA)
drop specific function DB2EXT.CTEU6;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                DATE,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                DATE
        );

-- drop function db2ext.unpack_text_key(.,DATE)
drop specific function DB2EXT.CTEU7;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                TIME,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                TIME
        );

-- drop function db2ext.unpack_text_key(.,TIME)
drop specific function DB2EXT.CTEU8;


-- drop text search TVF with highlighting
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                TIMESTAMP,
                INTEGER
        );

-- drop text search TVF
drop function db2ext.textSearch
        (
                VARCHAR(4096),
                VARCHAR(128),
                VARCHAR(128),
                INTEGER,
                INTEGER,
                TIMESTAMP
        );

-- drop function db2ext.unpack_text_key(.,TIMESTAMP)
drop specific function DB2EXT.CTEU9;

-- TVF backend function must be dropped after all frontend TVFs
-- drop function db2ext.textSearch_be1()
drop specific function DB2EXT.CTEBE1;

