
------------------------------------------------------------------------
--  IBM*                                                                  
--  Licensed Materials - Property of IBM                                  
--  5765-F38                                                              
--  (C) Copyright IBM Corporation 2001,2003                               
--  All rights reserved.                                                  
--                                                                        
-- * Trademark of International Business Machines                         
------------------------------------------------------------------------

--**********************************************************************
--**********************************************************************
--**
--**  Product Name:      DB2 Net Search Extender
--**
--**  Source File Name:  ctedldud.ddl
--**
--**  Function:          Deletes all DataLink UDFs for DB2Extender
--**
--**  Description:       These statements delete all datalink UDFs used 
--**			 by Image and Net Search Extender.
--**                     It should be called only if no database is enabled
--**			 for Extender use.
--**
--**  Status:            Version 8.1.2
--**
--**********************************************************************
--**********************************************************************

------------------------------------------------------------------------

DROP SPECIFIC FUNCTION DB2EXT.DATALINKCONTENT1;

DROP SPECIFIC FUNCTION DB2EXT.DATALINKCONTENT2;

DROP SPECIFIC FUNCTION DB2EXT.DATALINKCONTENT4;

DROP SPECIFIC FUNCTION DB2EXT.DATALINKCONTENT3;

-- HIGHLIGH FRONTEND FOR DATALINKS
-- DROP SPECIFIC FUNCTION DB2EXT.CTE4D5;

------------------------------------------------------------------------

